CI: master job fail on undercloud install because of missing ceilometer-dbsync command

Bug #1641076 reported by Gabriele Cerami
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
tripleo
Fix Released
Critical
Steven Hardy

Bug Description

log at http://logs.openstack.org/periodic/periodic-tripleo-ci-centos-7-ovb-nonha/9521bfb/logs/undercloud/var/log/undercloud_install.txt.gz#_2016-11-11_06_22_11_000

shows

2016-11-11 06:22:11.000 Error: Could not find command 'ceilometer-dbsync'

Something is missing from package, or puppet is relying on something that was removed.

Revision history for this message
Gabriele Cerami (gcerami) wrote :

The ceilometer-dbsync command is deprecated, ceilometer-upgrade should be used instead.

Alfredo Moralejo proposed a patch to address this
https://review.openstack.org/#/c/396570/

Changed in tripleo:
milestone: none → ocata-1
Ben Nemec (bnemec)
tags: added: promotion-blocker
John Trowbridge (trown)
Changed in tripleo:
assignee: nobody → Alfredo Moralejo (amoralej)
Ben Nemec (bnemec)
tags: removed: alert
Revision history for this message
Steven Hardy (shardy) wrote :
Revision history for this message
OpenStack Infra (hudson-openstack) wrote : Fix proposed to tripleo-heat-templates (master)

Fix proposed to branch: master
Review: https://review.openstack.org/397696

Changed in tripleo:
assignee: Alfredo Moralejo (amoralej) → Steven Hardy (shardy)
status: Confirmed → In Progress
Revision history for this message
OpenStack Infra (hudson-openstack) wrote : Fix merged to tripleo-heat-templates (master)

Reviewed: https://review.openstack.org/397696
Committed: https://git.openstack.org/cgit/openstack/tripleo-heat-templates/commit/?id=2df399d652063094996d921c4e3a8a546c69875f
Submitter: Jenkins
Branch: master

commit 2df399d652063094996d921c4e3a8a546c69875f
Author: Steven Hardy <email address hidden>
Date: Tue Nov 15 11:31:35 2016 +0000

    Replace ceilometer-dbsync by ceilometer-upgrade

    https://review.openstack.org/#/c/388688/ has removed ceilometer-dbsync so
    ceilometer-upgrade must be used instead.

    Additionally, ceilometer-dbsync enabled option --skip-gnocchi-resource-types
    and ceilometer-upgrade doesn't, so i'm setting it by default to ensure backwards compatibility.

    Note this is based on the corresponding fix to puppet-ceilometer ref

    https://review.openstack.org/#/c/396570

    Change-Id: Ic0a15c75d1cd3e3f70eeafd9ba09d50c58cc1293
    Closes-Bug: #1641076

Changed in tripleo:
status: In Progress → Fix Released
Revision history for this message
OpenStack Infra (hudson-openstack) wrote : Fix included in openstack/tripleo-heat-templates 6.0.0.0b1

This issue was fixed in the openstack/tripleo-heat-templates 6.0.0.0b1 development milestone.

Revision history for this message
OpenStack Infra (hudson-openstack) wrote : Fix included in openstack/puppet-ceilometer 10.0.0

This issue was fixed in the openstack/puppet-ceilometer 10.0.0 release.

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers